com.microfocus.awm.meta.interfaces

## Interface Property

- All Superinterfaces:
    AWMIdentifiableObject, AWMObject, org.eclipse.emf.ecore.EObject, IFunctionPackageDefinable, org.eclipse.emf.common.notify.Notifier
  All Known Subinterfaces:
    LinkedProperty
  All Known Implementing Classes:
    LinkedPropertyImpl, PropertyImpl

      public interface Property
      extends AWMIdentifiableObject

  A property describes an attribute that can be assigned to nearly all data model types. The value of a property can only be assigned at run time.

  The following features are supported:

  - `Chars Per Line`
  - `Date Format`
  - `Default Value`
  - `False Value`
  - `Label Keys`
  - `Retrieve All Values`
  - `Retrieve All Values Action Values From`
  - `Retrieve All Values Action Value Property`
  - `Retrieve All Values Action Label Property`
  - `Max Lines`
  - `Special Property`
  - `String Delimiter`
  - `True Value`
  - `Type`
  - `Upper Case`
  - `Value Keys`
  - `Value Max Length`
  - `Value Min Length`
  - `Label`
  See Also:
    `TaurusPackage.getProperty()`

- - ### Property Summary

    All Methods Instance Methods Abstract Methods
    Type | Property and Description
    --- | ---
    `boolean` | `isLinked` Gets the value of the property linkedProperty.
    `boolean` | `isSetRetrieveAllValuesActionLabel` Gets the value of the property setRetrieveAllValuesActionLabelProperty.
    `boolean` | `isSetRetrieveAllValuesActionValue` Gets the value of the property setRetrieveAllValuesActionValueProperty.
    `boolean` | `isSetSpecial` Gets the value of the property setSpecialProperty.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCharsPerLine()` Returns the value of the 'Chars Per Line' attribute.
    `java.lang.String` | `getDateFormat()` Returns the value of the 'Date Format' attribute.
    `java.lang.String` | `getDefaultValue()` Returns the value of the 'Default Value' attribute.
    `java.lang.String` | `getFalseValue()` Returns the value of the 'False Value' attribute.
    `java.lang.String` | `getLabel()` Returns the value of the 'Label' attribute.
    `java.lang.String` | `getLabelForValue(java.lang.String pValue)` Returns the label for the given value or `null`, if there is no label for the value
    `java.lang.String` | `getLabelFromHierarchy()` Returns the Label or the ID if the Label wasn't set.
    `org.eclipse.emf.common.util.EList<java.lang.String>` | `getLabelKeys()` Returns the value of the 'Label Keys' attribute list.
    `java.util.List<java.lang.String>` | `getLabelKeysWithoutQuotes()`
    `int` | `getMaxLines()` Returns the value of the 'Max Lines' attribute.
    `ActionDescriptor` | `getRetrieveAllValues()` Returns the value of the 'Retrieve All Values' reference.
    `Property` | `getRetrieveAllValuesActionLabelProperty()` Returns the value of the 'Retrieve All Values Action Label Property' reference.
    `Property` | `getRetrieveAllValuesActionValueProperty()` Returns the value of the 'Retrieve All Values Action Value Property' reference.
    `ERetrieveAllValues` | `getRetrieveAllValuesActionValuesFrom()` Returns the value of the 'Retrieve All Values Action Values From' attribute.
    `ESpecialProperties` | `getSpecialProperty()` Returns the value of the 'Special Property' attribute.
    `java.lang.String` | `getStringDelimiter()` Returns the value of the 'String Delimiter' attribute.
    `java.lang.String` | `getStringDelimiterWithoutQuotes()` Returns the StringDelimiter value of the Property without the quotes.
    `java.lang.String` | `getTrueValue()` Returns the value of the 'True Value' attribute.
    `ETypes` | `getType()` Returns the value of the 'Type' attribute.
    `java.lang.String` | `getValueForLabel(java.lang.String pLabel)` Returns the value for the given label or `null`, if there is no value for the label
    `org.eclipse.emf.common.util.EList<java.lang.String>` | `getValueKeys()` Returns the value of the 'Value Keys' attribute list.
    `java.util.List<java.lang.String>` | `getValueKeysWithoutQuotes()`
    `java.util.Map<java.lang.String,java.lang.String>` | `getValueLabelMap()` Returns a Map containing Value Keys and Label Keys.
    `int` | `getValueMaxLength()` Returns the value of the 'Value Max Length' attribute.
    `int` | `getValueMinLength()` Returns the value of the 'Value Min Length' attribute.
    `boolean` | `isLinkedProperty()` Gets the value of the property linkedProperty.
    `boolean` | `isSetCharsPerLine()` Returns whether the value of the '`Chars Per Line`' attribute is set.
    `boolean` | `isSetDateFormat()` Returns whether the value of the '`Date Format`' attribute is set.
    `boolean` | `isSetFalseValue()` Returns whether the value of the '`False Value`' attribute is set.
    `boolean` | `isSetLabel()` Returns whether the value of the '`Label`' attribute is set.
    `boolean` | `isSetLabelKeys()` Returns whether the value of the '`Label Keys`' attribute list is set.
    `boolean` | `isSetMaxLines()` Returns whether the value of the '`Max Lines`' attribute is set.
    `boolean` | `isSetRetrieveAllValues()` Returns whether the value of the '`Retrieve All Values`' reference is set.
    `boolean` | `isSetRetrieveAllValuesActionLabelProperty()` Gets the value of the property setRetrieveAllValuesActionLabelProperty.
    `boolean` | `isSetRetrieveAllValuesActionValueProperty()` Gets the value of the property setRetrieveAllValuesActionValueProperty.
    `boolean` | `isSetSpecialProperty()` Gets the value of the property setSpecialProperty.
    `boolean` | `isSetStringDelimiter()` Returns whether the value of the '`String Delimiter`' attribute is set.
    `boolean` | `isSetTrueValue()` Returns whether the value of the '`True Value`' attribute is set.
    `boolean` | `isSetType()` Returns whether the value of the '`Type`' attribute is set.
    `boolean` | `isSetUpperCase()` Returns whether the value of the '`Upper Case`' attribute is set.
    `boolean` | `isSetValueKeys()` Returns whether the value of the '`Value Keys`' attribute list is set.
    `boolean` | `isSetValueMaxLength()` Returns whether the value of the '`Value Max Length`' attribute is set.
    `boolean` | `isSetValueMinLength()` Returns whether the value of the '`Value Min Length`' attribute is set.
    `boolean` | `isUpperCase()` Returns the value of the 'Upper Case' attribute.
    `void` | `setCharsPerLine(int value)` Sets the value of the '`Chars Per Line`' attribute.
    `void` | `setDateFormat(java.lang.String value)` Sets the value of the '`Date Format`' attribute.
    `void` | `setDefaultValue(java.lang.String value)` Sets the value of the '`Default Value`' attribute.
    `void` | `setFalseValue(java.lang.String value)` Sets the value of the '`False Value`' attribute.
    `void` | `setLabel(java.lang.String value)` Sets the value of the '`Label`' attribute.
    `void` | `setMaxLines(int value)` Sets the value of the '`Max Lines`' attribute.
    `void` | `setRetrieveAllValues(ActionDescriptor value)` Sets the value of the '`Retrieve All Values`' reference.
    `void` | `setRetrieveAllValuesActionLabelProperty(Property value)` Sets the value of the '`Retrieve All Values Action Label Property`' reference.
    `void` | `setRetrieveAllValuesActionValueProperty(Property value)` Sets the value of the '`Retrieve All Values Action Value Property`' reference.
    `void` | `setRetrieveAllValuesActionValuesFrom(ERetrieveAllValues value)` Sets the value of the '`Retrieve All Values Action Values From`' attribute.
    `void` | `setSpecialProperty(ESpecialProperties value)` Sets the value of the '`Special Property`' attribute.
    `void` | `setStringDelimiter(java.lang.String value)` Sets the value of the '`String Delimiter`' attribute.
    `void` | `setTrueValue(java.lang.String value)` Sets the value of the '`True Value`' attribute.
    `void` | `setType(ETypes value)` Sets the value of the '`Type`' attribute.
    `void` | `setUpperCase(boolean value)` Sets the value of the '`Upper Case`' attribute.
    `void` | `setValueMaxLength(int value)` Sets the value of the '`Value Max Length`' attribute.
    `void` | `setValueMinLength(int value)` Sets the value of the '`Value Min Length`' attribute.
    `void` | `unsetCharsPerLine()` Unsets the value of the '`Chars Per Line`' attribute.
    `void` | `unsetDateFormat()` Unsets the value of the '`Date Format`' attribute.
    `void` | `unsetFalseValue()` Unsets the value of the '`False Value`' attribute.
    `void` | `unsetLabel()` Unsets the value of the '`Label`' attribute.
    `void` | `unsetLabelKeys()` Unsets the value of the '`Label Keys`' attribute list.
    `void` | `unsetMaxLines()` Unsets the value of the '`Max Lines`' attribute.
    `void` | `unsetRetrieveAllValues()` Unsets the value of the '`Retrieve All Values`' reference.
    `void` | `unsetRetrieveAllValuesActionLabelProperty()` Unsets the value of the '`Retrieve All Values Action Label Property`' reference.
    `void` | `unsetRetrieveAllValuesActionValueProperty()` Unsets the value of the '`Retrieve All Values Action Value Property`' reference.
    `void` | `unsetSpecialProperty()` Unsets the value of the '`Special Property`' attribute.
    `void` | `unsetStringDelimiter()` Unsets the value of the '`String Delimiter`' attribute.
    `void` | `unsetTrueValue()` Unsets the value of the '`True Value`' attribute.
    `void` | `unsetType()` Unsets the value of the '`Type`' attribute.
    `void` | `unsetUpperCase()` Unsets the value of the '`Upper Case`' attribute.
    `void` | `unsetValueKeys()` Unsets the value of the '`Value Keys`' attribute list.
    `void` | `unsetValueMaxLength()` Unsets the value of the '`Value Max Length`' attribute.
    `void` | `unsetValueMinLength()` Unsets the value of the '`Value Min Length`' attribute.

    - ### Methods inherited from interface com.microfocus.awm.meta.interfaces.AWMIdentifiableObject

      `getID, getModelEditorGroup, isSetModelEditorGroup, setID, setModelEditorGroup, unsetModelEditorGroup`

    - ### Methods inherited from interface com.microfocus.awm.meta.interfaces.AWMObject

      `getComment, isSetComment, setComment, unsetComment`

    - ### Methods inherited from interface com.microfocus.awm.meta.interfaces.IFunctionPackageDefinable

      `getExtensionID, setExtensionID`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Property Detail

    - #### isSetRetrieveAllValuesActionValue

          boolean isSetRetrieveAllValuesActionValueProperty

      Gets the value of the property setRetrieveAllValuesActionValueProperty.

    - #### isSetRetrieveAllValuesActionLabel

          boolean isSetRetrieveAllValuesActionLabelProperty

      Gets the value of the property setRetrieveAllValuesActionLabelProperty.

    - #### isSetSpecial

          boolean isSetSpecialProperty

      Gets the value of the property setSpecialProperty.

    - #### isLinked

          boolean isLinkedProperty

      Gets the value of the property linkedProperty.

  - ### Method Detail

    - #### getValueLabelMap

          java.util.Map<java.lang.String,java.lang.String> getValueLabelMap()

      Returns a Map containing Value Keys and Label Keys.
      Returns:
      See Also:
        `getValueKeys()`, `#getLableKeys()`

    - #### getValueForLabel

          java.lang.String getValueForLabel(java.lang.String pLabel)

      Returns the value for the given label or `null`, if there is no value for the label
      Parameters:
        `pLabel` -
      Returns:

    - #### getLabelForValue

          java.lang.String getLabelForValue(java.lang.String pValue)

      Returns the label for the given value or `null`, if there is no label for the value
      Parameters:
        `pValue` -
      Returns:

    - #### getDefaultValue

          java.lang.String getDefaultValue()

      Returns the value of the 'Default Value' attribute.
      The standard value of the property serves as the default entry for input fields or input parameters. As soon as a tool has assigned a property value to this property, the default value is no longer used.
      Returns:
        the value of the 'Default Value' attribute.
      See Also:
        `setDefaultValue(String)`, `TaurusPackage.getProperty_DefaultValue()`

    - #### setDefaultValue

          void setDefaultValue(java.lang.String value)

      Sets the value of the '`Default Value`' attribute.
      Parameters:
        `value` - the new value of the 'Default Value' attribute.
      See Also:
        `getDefaultValue()`

    - #### getFalseValue

          java.lang.String getFalseValue()

      Returns the value of the 'False Value' attribute. The default value is `"0"`.
      Only relevant for properties of type Boolean. Specifies the value returned from dialog boxes when the property value is false. In addition, this is the value used to check an enabled condition, if the operator false has been used.
      Returns:
        the value of the 'False Value' attribute.
      See Also:
        `isSetFalseValue()`, `unsetFalseValue()`, `setFalseValue(String)`, `TaurusPackage.getProperty_FalseValue()`

    - #### setFalseValue

          void setFalseValue(java.lang.String value)

      Sets the value of the '`False Value`' attribute.
      Parameters:
        `value` - the new value of the 'False Value' attribute.
      See Also:
        `isSetFalseValue()`, `unsetFalseValue()`, `getFalseValue()`

    - #### unsetFalseValue

          void unsetFalseValue()

      Unsets the value of the '`False Value`' attribute.
      See Also:
        `isSetFalseValue()`, `getFalseValue()`, `setFalseValue(String)`

    - #### isSetFalseValue

          boolean isSetFalseValue()

      Returns whether the value of the '`False Value`' attribute is set.
      Returns:
        whether the value of the 'False Value' attribute is set.
      See Also:
        `unsetFalseValue()`, `getFalseValue()`, `setFalseValue(String)`

    - #### getLabel

          java.lang.String getLabel()

      Returns the value of the 'Label' attribute. The display text of the property in the Properties view and the default display text, if the property is used in modeled dialogs. If not specified, the property ID will be used as display text.
      Returns:
        the value of the 'Label' attribute.
      See Also:
        `isSetLabel()`, `unsetLabel()`, `setLabel(String)`, `TaurusPackage.getProperty_Label()`

    - #### getLabelFromHierarchy

          java.lang.String getLabelFromHierarchy()

      Returns the Label or the ID if the Label wasn't set.

    - #### setLabel

          void setLabel(java.lang.String value)

      Sets the value of the '`Label`' attribute.
      Parameters:
        `value` - the new value of the 'Label' attribute.
      See Also:
        `isSetLabel()`, `unsetLabel()`, `getLabel()`

    - #### unsetLabel

          void unsetLabel()

      Unsets the value of the '`Label`' attribute.
      See Also:
        `isSetLabel()`, `getLabel()`, `setLabel(String)`

    - #### isSetLabel

          boolean isSetLabel()

      Returns whether the value of the '`Label`' attribute is set.
      Returns:
        whether the value of the 'Label' attribute is set.
      See Also:
        `unsetLabel()`, `getLabel()`, `setLabel(String)`

    - #### getLabelKeys

          org.eclipse.emf.common.util.EList<java.lang.String> getLabelKeys()

      Returns the value of the 'Label Keys' attribute list. The list contents are of type `String`.
      Defines the display texts for each defined value key. This attribute is only relevant if the property has the type Select Value and it is optional. If labels are specified, the number of labels must match the number of the key value.
      Returns:
        the value of the 'Label Keys' attribute list.
      See Also:
        `isSetLabelKeys()`, `unsetLabelKeys()`, `TaurusPackage.getProperty_LabelKeys()`

    - #### unsetLabelKeys

          void unsetLabelKeys()

      Unsets the value of the '`Label Keys`' attribute list.
      See Also:
        `isSetLabelKeys()`, `getLabelKeys()`

    - #### isSetLabelKeys

          boolean isSetLabelKeys()

      Returns whether the value of the '`Label Keys`' attribute list is set.
      Returns:
        whether the value of the 'Label Keys' attribute list is set.
      See Also:
        `unsetLabelKeys()`, `getLabelKeys()`

    - #### getRetrieveAllValues

          ActionDescriptor getRetrieveAllValues()

      Returns the value of the 'Retrieve All Values' reference.
      Reference to an action descriptor that returns the valid values of this property.
      Returns:
        the value of the 'Retrieve All Values' reference.
      See Also:
        `isSetRetrieveAllValues()`, `unsetRetrieveAllValues()`, `setRetrieveAllValues(ActionDescriptor)`, `TaurusPackage.getProperty_RetrieveAllValues()`

    - #### setRetrieveAllValues

          void setRetrieveAllValues(ActionDescriptor value)

      Sets the value of the '`Retrieve All Values`' reference.
      Parameters:
        `value` - the new value of the 'Retrieve All Values' reference.
      See Also:
        `isSetRetrieveAllValues()`, `unsetRetrieveAllValues()`, `getRetrieveAllValues()`

    - #### unsetRetrieveAllValues

          void unsetRetrieveAllValues()

      Unsets the value of the '`Retrieve All Values`' reference.
      See Also:
        `isSetRetrieveAllValues()`, `getRetrieveAllValues()`, `setRetrieveAllValues(ActionDescriptor)`

    - #### isSetRetrieveAllValues

          boolean isSetRetrieveAllValues()

      Returns whether the value of the '`Retrieve All Values`' reference is set.
      Returns:
        whether the value of the 'Retrieve All Values' reference is set.
      See Also:
        `unsetRetrieveAllValues()`, `getRetrieveAllValues()`, `setRetrieveAllValues(ActionDescriptor)`

    - #### getRetrieveAllValuesActionValuesFrom

          ERetrieveAllValues getRetrieveAllValuesActionValuesFrom()

      Returns the value of the 'Retrieve All Values Action Values From' attribute. The literals are from the enumeration `ERetrieveAllValues`.
      Select the mode which decides how the the values and labels should be retrieved from the executed "Retrieve All Values" action.
      Returns:
        the value of the 'Retrieve All Values Action Values From' attribute.
      See Also:
        `ERetrieveAllValues`, `setRetrieveAllValuesActionValuesFrom(ERetrieveAllValues)`, `TaurusPackage.getProperty_RetrieveAllValuesActionValuesFrom()`

    - #### setRetrieveAllValuesActionValuesFrom

          void setRetrieveAllValuesActionValuesFrom(ERetrieveAllValues value)

      Sets the value of the '`Retrieve All Values Action Values From`' attribute.
      Parameters:
        `value` - the new value of the 'Retrieve All Values Action Values From' attribute.
      See Also:
        `ERetrieveAllValues`, `getRetrieveAllValuesActionValuesFrom()`

    - #### getRetrieveAllValuesActionValueProperty

          Property getRetrieveAllValuesActionValueProperty()

      Returns the value of the 'Retrieve All Values Action Value Property' reference.
      The property to search for values.
      Returns:
        the value of the 'Retrieve All Values Action Value Property' reference.
      See Also:
        `isSetRetrieveAllValuesActionValueProperty()`, `unsetRetrieveAllValuesActionValueProperty()`, `setRetrieveAllValuesActionValueProperty(Property)`, `TaurusPackage.getProperty_RetrieveAllValuesActionValueProperty()`

    - #### setRetrieveAllValuesActionValueProperty

          void setRetrieveAllValuesActionValueProperty(Property value)

      Sets the value of the '`Retrieve All Values Action Value Property`' reference.
      Parameters:
        `value` - the new value of the 'Retrieve All Values Action Value Property' reference.
      See Also:
        `isSetRetrieveAllValuesActionValueProperty()`, `unsetRetrieveAllValuesActionValueProperty()`, `getRetrieveAllValuesActionValueProperty()`

    - #### unsetRetrieveAllValuesActionValueProperty

          void unsetRetrieveAllValuesActionValueProperty()

      Unsets the value of the '`Retrieve All Values Action Value Property`' reference.
      See Also:
        `isSetRetrieveAllValuesActionValueProperty()`, `getRetrieveAllValuesActionValueProperty()`, `setRetrieveAllValuesActionValueProperty(Property)`

    - #### isSetRetrieveAllValuesActionValueProperty

          boolean isSetRetrieveAllValuesActionValueProperty()

      Gets the value of the property setRetrieveAllValuesActionValueProperty.

    - #### getRetrieveAllValuesActionLabelProperty

          Property getRetrieveAllValuesActionLabelProperty()

      Returns the value of the 'Retrieve All Values Action Label Property' reference.
      The property to search for labels.
      Returns:
        the value of the 'Retrieve All Values Action Label Property' reference.
      See Also:
        `isSetRetrieveAllValuesActionLabelProperty()`, `unsetRetrieveAllValuesActionLabelProperty()`, `setRetrieveAllValuesActionLabelProperty(Property)`, `TaurusPackage.getProperty_RetrieveAllValuesActionLabelProperty()`

    - #### setRetrieveAllValuesActionLabelProperty

          void setRetrieveAllValuesActionLabelProperty(Property value)

      Sets the value of the '`Retrieve All Values Action Label Property`' reference.
      Parameters:
        `value` - the new value of the 'Retrieve All Values Action Label Property' reference.
      See Also:
        `isSetRetrieveAllValuesActionLabelProperty()`, `unsetRetrieveAllValuesActionLabelProperty()`, `getRetrieveAllValuesActionLabelProperty()`

    - #### unsetRetrieveAllValuesActionLabelProperty

          void unsetRetrieveAllValuesActionLabelProperty()

      Unsets the value of the '`Retrieve All Values Action Label Property`' reference.
      See Also:
        `isSetRetrieveAllValuesActionLabelProperty()`, `getRetrieveAllValuesActionLabelProperty()`, `setRetrieveAllValuesActionLabelProperty(Property)`

    - #### isSetRetrieveAllValuesActionLabelProperty

          boolean isSetRetrieveAllValuesActionLabelProperty()

      Gets the value of the property setRetrieveAllValuesActionLabelProperty.

    - #### getSpecialProperty

          ESpecialProperties getSpecialProperty()

      Returns the value of the 'Special Property' attribute. The literals are from the enumeration `ESpecialProperties`.
      Indicates whether this property has a special meaning.

      Alowed values are:

      - NONE
      - Element Type
      - Element_Suffix
      - MarkerLineNumber
      - Property Group
      Returns:
        the value of the 'Special Property' attribute.
      See Also:
        `ESpecialProperties`, `isSetSpecialProperty()`, `unsetSpecialProperty()`, `setSpecialProperty(ESpecialProperties)`, `TaurusPackage.getProperty_SpecialProperty()`

    - #### setSpecialProperty

          void setSpecialProperty(ESpecialProperties value)

      Sets the value of the '`Special Property`' attribute.
      Parameters:
        `value` - the new value of the 'Special Property' attribute.
      See Also:
        `ESpecialProperties`, `isSetSpecialProperty()`, `unsetSpecialProperty()`, `getSpecialProperty()`

    - #### unsetSpecialProperty

          void unsetSpecialProperty()

      Unsets the value of the '`Special Property`' attribute.
      See Also:
        `isSetSpecialProperty()`, `getSpecialProperty()`, `setSpecialProperty(ESpecialProperties)`

    - #### isSetSpecialProperty

          boolean isSetSpecialProperty()

      Gets the value of the property setSpecialProperty.

    - #### getStringDelimiter

          java.lang.String getStringDelimiter()

      Returns the value of the 'String Delimiter' attribute. The default value is `"\" \""`.
      Only relevant for properties of type TextArray. This value is used to delimit the values of a text array when passed as parameter values to a tool.
      Returns:
        the value of the 'String Delimiter' attribute.
      See Also:
        `isSetStringDelimiter()`, `unsetStringDelimiter()`, `setStringDelimiter(String)`, `TaurusPackage.getProperty_StringDelimiter()`

    - #### getStringDelimiterWithoutQuotes

          java.lang.String getStringDelimiterWithoutQuotes()

      Returns the StringDelimiter value of the Property without the quotes. This Method will return the correct value even if there weren't any quotes in the configuration file.
      Returns:
        The StringDelimiter value of the Property without quotes or `null` if no value was set for the StringDelimiter.

    - #### setStringDelimiter

          void setStringDelimiter(java.lang.String value)

      Sets the value of the '`String Delimiter`' attribute.
      Parameters:
        `value` - the new value of the 'String Delimiter' attribute.
      See Also:
        `isSetStringDelimiter()`, `unsetStringDelimiter()`, `getStringDelimiter()`

    - #### unsetStringDelimiter

          void unsetStringDelimiter()

      Unsets the value of the '`String Delimiter`' attribute.
      See Also:
        `isSetStringDelimiter()`, `getStringDelimiter()`, `setStringDelimiter(String)`

    - #### isSetStringDelimiter

          boolean isSetStringDelimiter()

      Returns whether the value of the '`String Delimiter`' attribute is set.
      Returns:
        whether the value of the 'String Delimiter' attribute is set.
      See Also:
        `unsetStringDelimiter()`, `getStringDelimiter()`, `setStringDelimiter(String)`

    - #### getTrueValue

          java.lang.String getTrueValue()

      Returns the value of the 'True Value' attribute. The default value is `"1"`.
      Only relevant for properties of type Boolean. Specifies the value returned from dialog boxes when the property value is true. In addition, this is the value used to check an enabled condition, if the operator true has been used.
      Returns:
        the value of the 'True Value' attribute.
      See Also:
        `isSetTrueValue()`, `unsetTrueValue()`, `setTrueValue(String)`, `TaurusPackage.getProperty_TrueValue()`

    - #### setTrueValue

          void setTrueValue(java.lang.String value)

      Sets the value of the '`True Value`' attribute.
      Parameters:
        `value` - the new value of the 'True Value' attribute.
      See Also:
        `isSetTrueValue()`, `unsetTrueValue()`, `getTrueValue()`

    - #### unsetTrueValue

          void unsetTrueValue()

      Unsets the value of the '`True Value`' attribute.
      See Also:
        `isSetTrueValue()`, `getTrueValue()`, `setTrueValue(String)`

    - #### isSetTrueValue

          boolean isSetTrueValue()

      Returns whether the value of the '`True Value`' attribute is set.
      Returns:
        whether the value of the 'True Value' attribute is set.
      See Also:
        `unsetTrueValue()`, `getTrueValue()`, `setTrueValue(String)`

    - #### getType

          ETypes getType()

      Returns the value of the 'Type' attribute. The default value is `"String"`. The literals are from the enumeration `ETypes`.
      The type of the property.

      Allowed values are:

      - String
      - Boolean
      - SelectValue
      - Date
      - Time
      - Password
      - Numeric
      - Text Area
      - Text Array
      Returns:
        the value of the 'Type' attribute.
      See Also:
        `ETypes`, `isSetType()`, `unsetType()`, `setType(ETypes)`, `TaurusPackage.getProperty_Type()`

    - #### setType

          void setType(ETypes value)

      Sets the value of the '`Type`' attribute.
      Parameters:
        `value` - the new value of the 'Type' attribute.
      See Also:
        `ETypes`, `isSetType()`, `unsetType()`, `getType()`

    - #### unsetType

          void unsetType()

      Unsets the value of the '`Type`' attribute.
      See Also:
        `isSetType()`, `getType()`, `setType(ETypes)`

    - #### isSetType

          boolean isSetType()

      Returns whether the value of the '`Type`' attribute is set.
      Returns:
        whether the value of the 'Type' attribute is set.
      See Also:
        `unsetType()`, `getType()`, `setType(ETypes)`

    - #### isUpperCase

          boolean isUpperCase()

      Returns the value of the 'Upper Case' attribute. The default value is `"false"`.
      The value of this property is always converted to upper case if entered in a modeled dialog box.
      Returns:
        the value of the 'Upper Case' attribute.
      See Also:
        `isSetUpperCase()`, `unsetUpperCase()`, `setUpperCase(boolean)`, `TaurusPackage.getProperty_UpperCase()`

    - #### setUpperCase

          void setUpperCase(boolean value)

      Sets the value of the '`Upper Case`' attribute.
      Parameters:
        `value` - the new value of the 'Upper Case' attribute.
      See Also:
        `isSetUpperCase()`, `unsetUpperCase()`, `isUpperCase()`

    - #### unsetUpperCase

          void unsetUpperCase()

      Unsets the value of the '`Upper Case`' attribute.
      See Also:
        `isSetUpperCase()`, `isUpperCase()`, `setUpperCase(boolean)`

    - #### isSetUpperCase

          boolean isSetUpperCase()

      Returns whether the value of the '`Upper Case`' attribute is set.
      Returns:
        whether the value of the 'Upper Case' attribute is set.
      See Also:
        `unsetUpperCase()`, `isUpperCase()`, `setUpperCase(boolean)`

    - #### getValueKeys

          org.eclipse.emf.common.util.EList<java.lang.String> getValueKeys()

      Returns the value of the 'Value Keys' attribute list. The list contents are of type `String`.
      The permitted property values for a property if it has the typeSelectValue. If no labels are defined for the key values, the key values will be used at run time to create the selection list for this property in the input dialog box.

      The value must not contain any white spaces.

      Returns:
        the value of the 'Value Keys' attribute list.
      See Also:
        `isSetValueKeys()`, `unsetValueKeys()`, `TaurusPackage.getProperty_ValueKeys()`

    - #### unsetValueKeys

          void unsetValueKeys()

      Unsets the value of the '`Value Keys`' attribute list.
      See Also:
        `isSetValueKeys()`, `getValueKeys()`

    - #### isSetValueKeys

          boolean isSetValueKeys()

      Returns whether the value of the '`Value Keys`' attribute list is set.
      Returns:
        whether the value of the 'Value Keys' attribute list is set.
      See Also:
        `unsetValueKeys()`, `getValueKeys()`

    - #### getValueMaxLength

          int getValueMaxLength()

      Returns the value of the 'Value Max Length' attribute. The default value is `"0"`.
      Limits the permitted length of a value within an input field for this property.
      Returns:
        the value of the 'Value Max Length' attribute.
      See Also:
        `isSetValueMaxLength()`, `unsetValueMaxLength()`, `setValueMaxLength(int)`, `TaurusPackage.getProperty_ValueMaxLength()`

    - #### setValueMaxLength

          void setValueMaxLength(int value)

      Sets the value of the '`Value Max Length`' attribute.
      Parameters:
        `value` - the new value of the 'Value Max Length' attribute.
      See Also:
        `isSetValueMaxLength()`, `unsetValueMaxLength()`, `getValueMaxLength()`

    - #### unsetValueMaxLength

          void unsetValueMaxLength()

      Unsets the value of the '`Value Max Length`' attribute.
      See Also:
        `isSetValueMaxLength()`, `getValueMaxLength()`, `setValueMaxLength(int)`

    - #### isSetValueMaxLength

          boolean isSetValueMaxLength()

      Returns whether the value of the '`Value Max Length`' attribute is set.
      Returns:
        whether the value of the 'Value Max Length' attribute is set.
      See Also:
        `unsetValueMaxLength()`, `getValueMaxLength()`, `setValueMaxLength(int)`

    - #### getValueMinLength

          int getValueMinLength()

      Returns the value of the 'Value Min Length' attribute. The default value is `"0"`.
      Defines a minimum length for a value within an input field for this property.
      Returns:
        the value of the 'Value Min Length' attribute.
      See Also:
        `isSetValueMinLength()`, `unsetValueMinLength()`, `setValueMinLength(int)`, `TaurusPackage.getProperty_ValueMinLength()`

    - #### setValueMinLength

          void setValueMinLength(int value)

      Sets the value of the '`Value Min Length`' attribute.
      Parameters:
        `value` - the new value of the 'Value Min Length' attribute.
      See Also:
        `isSetValueMinLength()`, `unsetValueMinLength()`, `getValueMinLength()`

    - #### unsetValueMinLength

          void unsetValueMinLength()

      Unsets the value of the '`Value Min Length`' attribute.
      See Also:
        `isSetValueMinLength()`, `getValueMinLength()`, `setValueMinLength(int)`

    - #### isSetValueMinLength

          boolean isSetValueMinLength()

      Returns whether the value of the '`Value Min Length`' attribute is set.
      Returns:
        whether the value of the 'Value Min Length' attribute is set.
      See Also:
        `unsetValueMinLength()`, `getValueMinLength()`, `setValueMinLength(int)`

    - #### getMaxLines

          int getMaxLines()

      Returns the value of the 'Max Lines' attribute. The default value is `"0"`.
      Limits the number of lines of a text area property.
      Returns:
        the value of the 'Max Lines' attribute.
      See Also:
        `isSetMaxLines()`, `unsetMaxLines()`, `setMaxLines(int)`, `TaurusPackage.getProperty_MaxLines()`

    - #### setMaxLines

          void setMaxLines(int value)

      Sets the value of the '`Max Lines`' attribute.
      Parameters:
        `value` - the new value of the 'Max Lines' attribute.
      See Also:
        `isSetMaxLines()`, `unsetMaxLines()`, `getMaxLines()`

    - #### unsetMaxLines

          void unsetMaxLines()

      Unsets the value of the '`Max Lines`' attribute.
      See Also:
        `isSetMaxLines()`, `getMaxLines()`, `setMaxLines(int)`

    - #### isSetMaxLines

          boolean isSetMaxLines()

      Returns whether the value of the '`Max Lines`' attribute is set.
      Returns:
        whether the value of the 'Max Lines' attribute is set.
      See Also:
        `unsetMaxLines()`, `getMaxLines()`, `setMaxLines(int)`

    - #### getCharsPerLine

          int getCharsPerLine()

      Returns the value of the 'Chars Per Line' attribute. The default value is `"80"`.
      Defines the length of every line of a text area property. Non-empty lines are populated with blanks on dialog box confirmation.
      Returns:
        the value of the 'Chars Per Line' attribute.
      See Also:
        `isSetCharsPerLine()`, `unsetCharsPerLine()`, `setCharsPerLine(int)`, `TaurusPackage.getProperty_CharsPerLine()`

    - #### setCharsPerLine

          void setCharsPerLine(int value)

      Sets the value of the '`Chars Per Line`' attribute.
      Parameters:
        `value` - the new value of the 'Chars Per Line' attribute.
      See Also:
        `isSetCharsPerLine()`, `unsetCharsPerLine()`, `getCharsPerLine()`

    - #### unsetCharsPerLine

          void unsetCharsPerLine()

      Unsets the value of the '`Chars Per Line`' attribute.
      See Also:
        `isSetCharsPerLine()`, `getCharsPerLine()`, `setCharsPerLine(int)`

    - #### isSetCharsPerLine

          boolean isSetCharsPerLine()

      Returns whether the value of the '`Chars Per Line`' attribute is set.
      Returns:
        whether the value of the 'Chars Per Line' attribute is set.
      See Also:
        `unsetCharsPerLine()`, `getCharsPerLine()`, `setCharsPerLine(int)`

    - #### getDateFormat

          java.lang.String getDateFormat()

      Returns the value of the 'Date Format' attribute. The default value is `"yyyyMMdd"`.
      Only relevant for properties of type Date. Specifies the format of the date for creation and validation in dialog boxes.
      Returns:
        the value of the 'Date Format' attribute.
      See Also:
        `isSetDateFormat()`, `unsetDateFormat()`, `setDateFormat(String)`, `TaurusPackage.getProperty_DateFormat()`

    - #### setDateFormat

          void setDateFormat(java.lang.String value)

      Sets the value of the '`Date Format`' attribute.
      Parameters:
        `value` - the new value of the 'Date Format' attribute.
      See Also:
        `isSetDateFormat()`, `unsetDateFormat()`, `getDateFormat()`

    - #### unsetDateFormat

          void unsetDateFormat()

      Unsets the value of the '`Date Format`' attribute.
      See Also:
        `isSetDateFormat()`, `getDateFormat()`, `setDateFormat(String)`

    - #### isSetDateFormat

          boolean isSetDateFormat()

      Returns whether the value of the '`Date Format`' attribute is set.
      Returns:
        whether the value of the 'Date Format' attribute is set.
      See Also:
        `unsetDateFormat()`, `getDateFormat()`, `setDateFormat(String)`

    - #### getValueKeysWithoutQuotes

          java.util.List<java.lang.String> getValueKeysWithoutQuotes()

      Returns:
        same as `getValueKeys()` but removes surrounding double quotes.

    - #### getLabelKeysWithoutQuotes

          java.util.List<java.lang.String> getLabelKeysWithoutQuotes()

      Returns:
        same as `getLabelKeys()` but removes surrounding double quotes.

    - #### isLinkedProperty

          boolean isLinkedProperty()

      Gets the value of the property linkedProperty.

Copyright © 2015 Micro Focus GmbH. All rights reserved.